<?php
	ob_start();
	include_once("include/config.php");
	array_pop($_POST);//表单提交上来的数据都存入$_POST数组中，现在弹出最后一个数组值，因为最后一个是按纽
	extract($_POST);//把数组名作为变量名，数组值作为变量值
	//查看用户名和密码中有无非法字符
	if(check_bad_str($user_name) || check_bad_str($user_pwd))
		show_err("","bad_str");
	//查看用户名或密码是否正确
	if(!check_admin_pwd($user_pwd,$user_name))
		show_err("用户名或密码出错，请重新输入");
	else
	{
		setcookie("user_name",$user_name,time()+86400,"/");
		ob_flush();
		flush();
		die("<script>location.href='index.php';</script>");
		//header("location:index.php");
	}
?>